\name{noweb}
\alias{noweb}
\title{
  Literate Programming Simplified
}
\description{  
  This function processes \emph{noweb} source files to produce LaTeX
  documents describing the software components in the source files as
  well as the software components themselves.
}
\usage{
noweb(files, weave = TRUE, tangle = TRUE, fullxref = FALSE)
}
\arguments{
  \item{files}{
    a character vector containing the names of the files to be processed.
  }
  \item{weave}{
    a logical value indicating whether LaTeX output should be produced.
  }
  \item{tangle}{
    a logical value indicating whether code components should be produced.
  }
  \item{fullxref}{
    a logical value indicating whether an expanded chunk index should
    be produced.
  }
}
\details{
  Literate programming was introduced by Knuth in 1984.  This function
  provides an R implementation of Norman Ramsey's \emph{noweb} system.
  It takes a list of files and runs the \emph{noweb} process on each
  file, transforming them into LaTeX documentation and code elements.
}
\references{
  Knuth, Donald E. (1984). \dQuote{Literate Programming.}
  \emph{The Computer Journal} \bold{27}, 97-111.
  
  Ramsey, Norman (1994). \dQuote{Literate Programming Simplified.}
  \emph{IEEE Software}, \bold{11}, 97-105.
}
\author{
Ross Ihaka <ihaka@R-project.org>
}
\examples{
file = system.file("examples", "noweb-demo.Rnw", package = "Rnoweb")
noweb(file)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ programming }
\keyword{ documentation }
